FROM python:3.11 as build
WORKDIR /build/
ENV VENV_PATH="./.venv/"
COPY {{ build_stage_dir_path }} /
{%- for path in preinstall_paths %}
COPY {{ path }} {{ path }}
{%- endfor %}
RUN /build.d/bin/install.sh
{%- for path in postinstall_paths %}
COPY {{ path }} {{ path }}
{%- endfor %}
RUN /build.d/bin/build.sh

FROM build as tests-coverage
RUN psh coverage run -m unittest discover ./

FROM build as tests-flake
RUN psh flake8 {{ flake8_args }}

FROM build as tests-isort
RUN psh isort --check-only {{ isort_args }}

FROM build as tests-pyre
RUN psh pyre --noninteractive check

FROM build as tests-pyright
RUN psh pyright --stats
